For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeel Home
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
  • Resources
    • Blog
    • Community
    • API spec
  • Contractors
    • Introduction
    • Invoice adjustments
    • Timesheets
  • Common Use Cases
    • Sign contracts and amendments in bulk
    • Give bonus to contractors
    • Reimburse contractor expenses
  • Endpoints
      • PATCHAdd external Id
      • POSTCreate a new contract
      • GETList of contracts
      • GETRetrieve a single contract
LogoLogo
SupportDeel Home
EndpointsContracts

Retrieve a single contract

GET
/contracts/:contract_id
GET
/rest/v2/contracts/:contract_id
$curl -G https://api.letsdeel.com/rest/v2/contracts/37nex2x \
> -H "Authorization: Bearer <token>" \
> -d expand=cost_centers
1{
2 "data": {
3 "id": "123e4567-e89b-12d3-a456-426614174000",
4 "type": "ongoing_time_based",
5 "title": "Software Development Contract",
6 "client": {
7 "team": {
8 "id": "team-xyz789",
9 "name": "Engineering Team"
10 },
11 "id": "team-abc123",
12 "email": "client@example.com",
13 "full_name": "Acme Corp",
14 "legal_entity": {
15 "id": "team-xyz789",
16 "name": "Engineering Team",
17 "type": "company",
18 "email": "test@example.com",
19 "subtype": "general-partnership",
20 "vat_number": "123456789",
21 "registration_number": "123456789"
22 }
23 },
24 "status": "in_progress",
25 "worker": {
26 "id": "team-abc123",
27 "email": "client@example.com",
28 "country": "US",
29 "full_name": "Acme Corp",
30 "last_name": "Doe",
31 "first_name": "John",
32 "nationality": "US",
33 "date_of_birth": "1990-01-01",
34 "expected_email": "test@example.com",
35 "alternate_email": [
36 {
37 "email": "test@example.com",
38 "isVerified": true
39 }
40 ]
41 },
42 "created_at": "2022-01-01T00:00:00Z",
43 "signatures": {
44 "signed_at": "2022-01-01T00:00:00Z",
45 "client_signature": "Jane Doe",
46 "client_signed_at": "2022-01-01T00:00:00Z",
47 "worker_signature": "Jane Doe",
48 "worker_signed_at": "2022-01-01T00:00:00Z"
49 },
50 "start_date": "2022-01-01T00:00:00Z",
51 "updated_at": "2022-05-02T00:00:00Z",
52 "invitations": {
53 "client_email": "client@example.com",
54 "worker_email": "worker@example.com"
55 },
56 "is_archived": "false",
57 "special_clause": "Special clause",
58 "termination_date": "2022-01-01T00:00:00Z",
59 "quote": {
60 "benefits": [
61 {
62 "fee": 200.5,
63 "name": "Health Insurance",
64 "plan": "Premium",
65 "price": 150.75,
66 "fee_usd": 220,
67 "currency": "USD",
68 "price_usd": 170.5
69 }
70 ],
71 "currency": "USD"
72 },
73 "location": "Spain",
74 "job_title": "Backend Developer",
75 "seniority": {
76 "id": 1,
77 "name": "Mid (Individual Contributor Level 2)",
78 "level": 2
79 },
80 "external_id": "external_id",
81 "who_reports": "client",
82 "cost_centers": [
83 {
84 "name": "6P73USR022JKJ2KU1",
85 "number": "553",
86 "allocation_percentage": 100
87 }
88 ],
89 "product_area": 1234,
90 "custom_fields": [
91 {
92 "id": "64f65ef7-4d4d-4a26-b745-0398bb49f7f5",
93 "name": "Employee ID",
94 "value": "54234"
95 }
96 ],
97 "notice_period": 30,
98 "scope_of_work": "Scope of work",
99 "work_schedule": {
100 "days": [
101 {
102 "day": "MONDAY",
103 "end": "17:00:00",
104 "start": "09:00:00",
105 "work_hours": 8
106 }
107 ],
108 "name": "34ZNYKYL3G",
109 "country": "IN",
110 "worker_types": [
111 "SALARIED_DIRECT_EMPLOYEE_PAYROLL"
112 ],
113 "effective_from": "2026-01-01T00:00:00.000",
114 "work_schedule_type": "Fixed work schedule",
115 "work_hours_per_week": 40,
116 "employment_type": "FULL_TIME"
117 },
118 "fte_percentage": 1,
119 "employment_type": "FULL_TIME",
120 "contract_template": {
121 "id": "37nex2x",
122 "title": "UK Employment Contract 2022."
123 },
124 "work_statement_id": "123e4567-e89b-12d3-a456-426614174000",
125 "employment_details": {
126 "type": "full_time",
127 "days_per_week": 5,
128 "hours_per_day": 8,
129 "probation_period": 30,
130 "paid_vacation_days": 20
131 },
132 "compensation_details": {
133 "scale": "hourly",
134 "amount": "100",
135 "cycle_end": 31,
136 "frequency": "monthly",
137 "currency_code": "GBP",
138 "first_payment": "500",
139 "cycle_end_type": "DAY_OF_MONTH",
140 "first_payment_date": "2024-08-30T20:59:59.999+00:00",
141 "gross_annual_salary": "50000",
142 "gross_signing_bonus": "5000",
143 "gross_variable_bonus": "5000"
144 }
145 }
146}

Retrieves the full record for a specific contract by contract_id, including status, compensation, worker details, and metadata. Pass expand=cost_centers as a query parameter to include cost center data in the response. Token scopes: contracts:read

Was this page helpful?
Previous

Create an invoice adjustment

Next
Built with

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

contract_idstringRequired
Unique identifier of the contract.

Query parameters

expandenumOptional
Include cost centers in the response.
Allowed values:

Response

Successful operation.
dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

1curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
2 -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication